//
//  {{ prefix }}{{ module_info.file_name }}
//  {{ module_info.project_name }}
//
//  Created by {{ developer.name }} on {{ date }}.
//  Copyright © {{ year }} {{ developer.company }}. All rights reserved.
//

final class {{ module_info.name }}Presenter {

    // MARK: - Protocols properties
    weak var view: {{ module_info.name }}ViewInput?
    private let router: {{ module_info.name }}RouterInput
    private let interactor: {{ module_info.name }}InteractorInput

    // MARK: - Init
    init(interactor: {{ module_info.name }}InteractorInput, router: {{ module_info.name }}RouterInput) {
        self.interactor = interactor
        self.router = router
    }

}

// MARK: - {{ module_info.name }}ViewOutput
extension {{ module_info.name }}Presenter: {{ module_info.name }}ViewOutput {}

// MARK: - {{ module_info.name }}InteractorOutput
extension {{ module_info.name }}Presenter: {{ module_info.name }}InteractorOutput {}